/**************** (c) 2001  STMicroelectronics ********************************
     
PROJECT  : ST7FOPTIONS-EVAL BOARD
COMPILER : (COSMIC)
MODULE   :  BUZ_drv.h
VERSION  :  V 1.0
CREATION DATE :  01/11/01
AUTHOR   : STM/CMG

******************************************************************************/
/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

    THE SOFTWARE INCLUDED IN THIS xxx IS FOR GUIDANCE ONLY. STMicroelectronics 
    SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL 
    DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
    
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION :   

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/ 

/* Music instruction and note  coding  */

#define _END_ 0xFF                   /* Music END */
#define _VOLd 0xF0                   /* Music Volume decrement */
#define _VOLi 0xF1                   /* Music Volume increment */

/* Note Tone definition    */

#define _SI0  0x00
#define _DO   0x01
#define _RE   0x02
#define _MI   0x03
#define _FA   0x04
#define _SOL  0x05
#define _LA   0x06
#define _SI   0x07
#define _DO2  0x08
#define _M    0x09

/* Note length definition   */

#define sq  +0x10  
#define  q  +0x20
#define qp  +0x30
#define  c  +0x40
#define cp  +0x60
#define  m  +0x80


/* Exported Functions  */


void TIMERB_Init( void );
 
void TIMERB_Disable (void );
 
void Wait_Poll( char note_code ); 
   
void Play_Note ( char note_code );    

void Play_Score (char * Music,char leds);  

/* End of BUZ_drv.h   */
